
class Base():

    BASE_STRING = "Это базовый класс"

    def __init__(self) -> None:
        pass

    def print_info(self):
        print("Это метод базового класса: ", self.BASE_STRING)


class UpBase(Base):

    BASE_STRING = "Это класс наследник"

    def __init__(self) -> None:
        pass


# up_base = UpBase()
# up_base.print_info()

def main():
    try:
        5/0
    except Exception as e:
        print("Error!", e)
    finally:
        print('finaly')



if __name__ == '__main__':
    main()